program DEMviewer;

uses
  Forms,
  DSpGlobals in '..\..\kernel\DSpGlobals.pas',
  DSpPFA in '..\..\kernel\DSpPFA.pas',
  DSpSDTSDriver in '..\..\formats\DSpSDTSDriver.pas',
  DSpUtils in '..\..\kernel\DSpUtils.pas',
  DSpProjection in '..\..\kernel\DSpProjection.pas',
  DSpAttributes in '..\..\kernel\DSpAttributes.pas',
  DSpVector in '..\..\kernel\DSpVector.pas',
  DSpViewer in '..\..\kernel\DSpViewer.pas',
  DSpRenderer in '..\..\kernel\DSpRenderer.pas',
  DSpLegend in '..\..\kernel\DSpLegend.pas',
  DSpRRT in '..\..\kernel\DSpRRT.pas',
  DEMform in 'DEMform.pas' {Form1},
  DataManager in 'DataManager.pas' {DataMgmtForm},
  DSpCalibrate in '..\..\kernel\DSpCalibrate.pas',
  DSpCoordinateSystem in '..\..\kernel\DSpCoordinateSystem.pas',
  DSpRawBinary in '..\..\formats\DSpRawBinary.pas',
  DSpE00 in '..\..\formats\DSpE00.pas',
  DSpWin32 in '..\..\kernel\DSpWin32.pas',
  DSpRasterSource in '..\..\kernel\DSpRasterSource.pas',
  DSpVectorSource in '..\..\kernel\DSpVectorSource.pas',
  DSpDataMgr in '..\..\kernel\DSpDataMgr.pas',
  DSpDataSet in '..\..\kernel\DSpDataSet.pas',
  DSpRaster in '..\..\kernel\DSpRaster.pas',
  DSpRasterData in '..\..\kernel\DSpRasterData.pas',
  DSpTempRaster in '..\..\formats\DSpTempRaster.pas',
  DSpHistogram in '..\..\kernel\DSpHistogram.pas',
  DSpAboutForm in '..\..\resources\DSpAboutForm.pas' {DSpAboutBox},
  DSpBlobMath in '..\..\kernel\DSpBlobMath.pas',
  DSpIdrisi in '..\..\formats\DSpIdrisi.pas',
  HistoForm in 'HistoForm.pas' {HistoFrm},
  DSpModuleBase in '..\..\kernel\DSpModuleBase.pas';

{$R *.RES}

begin
  Randomize;
  Application.Initialize;
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TDataMgmtForm, DataMgmtForm);
  Application.OnIdle := DSpatial.IdleProcessing;
  Application.Run;
end.
