{******************************************************************************}
{                                                                              }
{ Project DSpatial - Geospatial analysis for Delphi                            }
{                                                                              }
{ The contents of this file are subject to the Mozilla Public License Version  }
{ 1.1 (the "License"); you may not use this file except in compliance with the }
{ License. You may obtain a copy of the License at http://www.mozilla.org/MPL/.}
{                                                                              }
{ Software distributed under the License is distributed on an "AS IS" basis,   }
{ WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for }
{ the specific language governing rights and limitations under the License.    }
{                                                                              }
{ The Original Code is DSpVectorSource.pas. The Original Code is available     }
{ through the home page of DSpatial at http://dspatial.sourceforge.net.        }
{                                                                              }
{ The Initial Developer of the Original Code is Patrick Van Laake              }
{ (pvanlaake@users.sourceforge.net). Portions created by the Initial Developer }
{ are Copyright (C) of the Initial Developer. Changes to the Original Code     }
{ available through DSpatial are Copyright (C) of the Contributing Authors.    }
{                                                                              }
{******************************************************************************}
{                                                                              }
{ This unit defines the vector sourse class. This class is instantiated by a   }
{ source handler to manage vector data access (read/write/query).              }
{                                                                              }
{ Unit owner    : Patrick Van Laake                                            }
{ Last modified : 2003 October 5                                               }
{                                                                              }
{ Dependencies  : DSpGlobals                                                   }
{                 DSpPFA                                                       }
{                                                                              }
{ Version       : 0.1  03Oct05 Initial coding.                                 }
{                                                                              }
{******************************************************************************}
unit DSpVectorSource;
interface
uses DSpGlobals, DSpPFA;
type
  TDSpVectorSource = class(TDSpSourceDataSet)
  protected
    FSource    : TDSpSourceHandler;  // referenced, not owned!
  public
//    constructor Create(const driver: TDSpBaseDriver; dataSet: integer; const h: TDSpSourceHandler);
    destructor  Destroy; override;
  end;

implementation

//constructor TDSpVectorSource.Create(const driver: TDSpBaseDriver; dataSet: integer; const h: TDSpSourceHandler);
//begin
//  inherited;
//  FDataSetType := dspPFAVector;
//end;

destructor TDSpVectorSource.Destroy;
begin
  inherited;
end;

end.
 