{*******************************************************}
{                     PHP4Delphi                        }
{               PHP - Delphi interface                  }
{ Author:                                               }
{ Serhiy Perevoznyk                                     }
{ serge_perevoznyk@hotmail.com                          }
{ http://users.chello.be/ws36637                        }
{*******************************************************}

{ $Id: dm_Class.pas,v 5.2 2003/12/02 10:21:16 delphi32 Exp $ }

unit dm_Class;

interface

uses
   Windows,
   Messages,
   SysUtils,
   Classes,
   Forms,
   zendAPI,
   phpAPI,
   phpFunctions,
   PHPModules;

type

  Tclassdemo = class(TPHPExtension)
    procedure classdemoFunctions0Execute(Sender: TObject;
      Parameters: TFunctionParams; var ReturnValue: Variant;
      ThisPtr: Pzval; TSRMLS_DC: Pointer);
    procedure PHPExtensionModuleInfo(Sender: TObject; TSRMLS_DC: Pointer);
    procedure PHPExtensionModuleInit(Sender: TObject; TSRMLS_DC: Pointer);
  private
    { Private declarations }
  public
    { Public declarations }
    demo_class_functions : array[0..2] of zend_function_entry;
    demo_class_entry : Tzend_class_entry;
    ce : pzend_class_entry;
  end;

var
  classdemo: Tclassdemo;

implementation

{$R *.DFM}



procedure demo_email (ht : integer; return_value : pzval; this_ptr : pzval;
   return_value_used : integer; TSRMLS_DC : pointer); cdecl;
var
 str : string;
begin
   str := 'name@mail.com';
   ZVAL_STRING(return_value, PChar(str), true);
end;

procedure demo_homepage (ht : integer; return_value : pzval; this_ptr : pzval;
   return_value_used : integer; TSRMLS_DC : pointer); cdecl;
var
 str : string;
begin
   str := 'http://www.demo.com';
   ZVAL_STRING(return_value, PChar(str), true);
end;

procedure Tclassdemo.classdemoFunctions0Execute(Sender: TObject;
  Parameters: TFunctionParams; var ReturnValue: Variant; ThisPtr: Pzval;
  TSRMLS_DC: Pointer);

var
 properties : array[0..2] of pchar;
begin
// This function returns a class
  properties[0] := 'name';
  properties[1] := 'tool';
  properties[2] := 'height';
  _object_init_ex(Functions[0].ZendVar.AsZendVariable, ce, nil, 0, TSRMLS_DC );
  add_property_string_ex(Functions[0].ZendVar.AsZendVariable, properties[0], strlen(properties[0]) + 1, 'Serhiy', 1);
  add_property_string_ex(Functions[0].ZendVar.AsZendVariable, properties[1], strlen(properties[1]) + 1, 'Delphi', 1);
  add_property_long_ex(Functions[0].ZendVar.AsZendVariable, properties[2], strlen(properties[2]) + 1, 185);
end;

procedure Tclassdemo.PHPExtensionModuleInfo(Sender: TObject;
  TSRMLS_DC: Pointer);
begin
  php_info_print_table_start();
  php_info_print_table_row(2, PChar('PHP Demo Class'), PChar('enabled'));
  php_info_print_table_end();
end;

procedure Tclassdemo.PHPExtensionModuleInit(Sender: TObject;
  TSRMLS_DC: Pointer);
begin
  demo_class_functions[0].fname := 'demo_email';
  demo_class_functions[0].handler := @demo_email;
  demo_class_functions[1].fname := 'demo_homepage';
  demo_class_functions[1].handler := @demo_homepage;
  INIT_CLASS_ENTRY(demo_class_entry, 'php_demo_class', @demo_class_functions);
  ce := zend_register_internal_class(@demo_class_entry, TSRMLS_DC);
end;

end.