// cdemo.cpp : Defines the entry point for the console application.
//

{ $Id: cdemo.cpp,v 1.2 2003/12/02 10:21:17 delphi32 Exp $ }

# include "stdafx.h"
# include <windows.h>
# include <process.h>
# include <stdio.h>


typedef void (WINAPI * writeclient) (char c);
typedef int  (WINAPI * ExecutePHP)(char * filename, writeclient callbackproc);
typedef int  (WINAPI * ExecuteCode)(char * acode, writeclient callbackproc);
typedef void (WINAPI * RegisterVariable)(char * aname, char * avalue);
typedef char* (WINAPI * GetArray)();

void WINAPI php_callback(char c)
{
	printf("%c",c);
}

int main(int argc, char* argv[])
{
	ExecutePHP lpfnExecutePHP;
	RegisterVariable lpfnRegisterVariable;
	GetArray lpfnGetArray;
	ExecuteCode lpfnExecuteCode;
	HMODULE handle;
	char *array; 
	
	handle = LoadLibrary("php4app.dll");
	if( handle == NULL )
            return FALSE ;

	lpfnRegisterVariable = (RegisterVariable) GetProcAddress(handle, "RegisterVariable");
	lpfnExecutePHP = (ExecutePHP) GetProcAddress(handle, "ExecutePHP");
	lpfnGetArray = (GetArray) GetProcAddress(handle, "GetArray");
	lpfnExecuteCode = (ExecuteCode)GetProcAddress(handle, "ExecuteCode");

	if(lpfnRegisterVariable == NULL ||
            lpfnExecutePHP  == NULL ||
			lpfnExecuteCode == NULL ||
            lpfnGetArray == NULL )
         {
            FreeLibrary( handle ) ;
            return FALSE ;
         }

    lpfnRegisterVariable("x", "2");
	lpfnRegisterVariable("y", "3");
	lpfnRegisterVariable("z", "0");

	lpfnExecutePHP("test.php", php_callback);
	
	printf("\n");
	array = lpfnGetArray();
	printf("%s\n",array);

	lpfnExecuteCode("echo \"embedded script demo\\n\";", php_callback);
	FreeLibrary(handle);

	return 0;
}
